--- title: "Get a Specific Object" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/get-object/ description: "This API enables you to get all the objects present in a bucket." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Get a Specific Object ### Description This API allows you to get a specific [object](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/objects/introduction/) stored in a bucket. The Bucket is referred by its [unique bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket), and the required object is referred using its name. If [Versioning](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/stratus-config/general-settings/#versioning) is enabled, then the required object can also be referred to using its unique `version ID`. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/bucket/object - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Query Parameters - **bucket_name** (Alphanumeric, mandatory): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) - **object_key** (String, mandatory): Will contain the complete name of the object. - **version_id** (String, optional): This is an ID generated by Stratus when Versioning is enabled. You can use `version_id` to refer to the required object. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.objects.READ ### Response Details On successful execution, the response will contain the details of the requested object. **Sample Request** ```bash curl -X GET https://api.catalyst.zoho.com/baas/v1/project/{projectID}/bucket/object?bucket_name={bucketName}&version_id={versionID}&object_key={objectPath} -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` **Sample Response** ```json { "status": "success", "data": { "key": "Automl_LZ (1).csv", "size": 257, "content_type": "text/csv", "last_modified": "Dec 10, 2023 03:10 PM", "meta_data": { "automl_metakey": "metavalue" }, "object_url": "https://gcpimport2-development.csezstratus.com/Automl_LZ%20(1).csv" } } ``` ### SDK Documentation * [Get Object Details - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/object-details/#get-details-of-a-particular-version-of-the-object) * [Get Object Details - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/object-details/#get-details-of-a-particular-version-of-the-object) * [Get Object Details - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/object-details/#get-details-of-a-particular-version-of-the-object) * [Get Object - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/get-object/) * [Get Object - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/get-object/) * [Get Object - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/get-object/) * [Get Object - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/get-object/)